Package org.eclipse.net4j.util.ui.security

## Class InteractiveCredentialsProvider

- java.lang.Object
- - org.eclipse.net4j.util.ui.security.InteractiveCredentialsProvider

- All Implemented Interfaces:
    `ICredentialsProvider`, `ICredentialsProvider2`, `IPasswordCredentialsProvider`, `IPasswordCredentialsProvider2`, `IPasswordCredentialsUpdateProvider`

      public class InteractiveCredentialsProvider
      extends java.lang.Object
      implements IPasswordCredentialsProvider2, IPasswordCredentialsUpdateProvider

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider

      `IPasswordCredentialsProvider.Provider`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InteractiveCredentialsProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IPasswordCredentials` | `getCredentials()` |
    `IPasswordCredentials` | `getCredentials​(java.lang.String realm)` |
    `IPasswordCredentialsUpdate` | `getCredentialsUpdate​(java.lang.String realm, java.lang.String userID, CredentialsUpdateOperation operation)` |
    `IPasswordCredentialsUpdate` | `getCredentialsUpdate​(java.lang.String userID, CredentialsUpdateOperation operation)` |
    `boolean` | `isInteractive()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InteractiveCredentialsProvider

          public InteractiveCredentialsProvider()

  - ### Method Detail

    - #### isInteractive

          public boolean isInteractive()

      Specified by:
        `isInteractive` in interface `ICredentialsProvider`

    - #### getCredentials

          public IPasswordCredentials getCredentials()

      Specified by:
        `getCredentials` in interface `ICredentialsProvider`
      Specified by:
        `getCredentials` in interface `IPasswordCredentialsProvider`

    - #### getCredentials

          public IPasswordCredentials getCredentials​(java.lang.String realm)

      Specified by:
        `getCredentials` in interface `ICredentialsProvider2`
      Specified by:
        `getCredentials` in interface `IPasswordCredentialsProvider2`
      Since:
        3.3

    - #### getCredentialsUpdate

          public IPasswordCredentialsUpdate getCredentialsUpdate​(java.lang.String userID,
                                                                 CredentialsUpdateOperation operation)

      Specified by:
        `getCredentialsUpdate` in interface `IPasswordCredentialsUpdateProvider`
      Since:
        3.4

    - #### getCredentialsUpdate

          public IPasswordCredentialsUpdate getCredentialsUpdate​(java.lang.String realm,
                                                                 java.lang.String userID,
                                                                 CredentialsUpdateOperation operation)

      Specified by:
        `getCredentialsUpdate` in interface `IPasswordCredentialsUpdateProvider`
      Since:
        3.4